/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obdulio
 */
@Entity
@Table(name = "vRemisi")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VRemisi.findAll", query = "SELECT v FROM VRemisi v")
        , @NamedQuery(name = "VRemisi.findByCompraCodigo", query = "SELECT v FROM VRemisi v WHERE v.compraCodigo = :compraCodigo")
        , @NamedQuery(name = "VRemisi.findByFecha", query = "SELECT v FROM VRemisi v WHERE v.fecha = :fecha")
        , @NamedQuery(name = "VRemisi.findByCantidad", query = "SELECT v FROM VRemisi v WHERE v.cantidad = :cantidad")
        , @NamedQuery(name = "VRemisi.findBySala", query = "SELECT v FROM VRemisi v WHERE v.sala = :sala")
        , @NamedQuery(name = "VRemisi.findByObservaciones", query = "SELECT v FROM VRemisi v WHERE v.observaciones = :observaciones")})
public class VRemisi implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "compra_codigo")
    @Id
    private String compraCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 10)
    @Column(name = "fecha")
    private String fecha;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 7)
    @Column(name = "cantidad")
    private String cantidad;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 12)
    @Column(name = "sala")
    private String sala;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 73)
    @Column(name = "observaciones")
    private String observaciones;

    public VRemisi() {
    }

    public String getCompraCodigo() {
        return compraCodigo;
    }

    public void setCompraCodigo(String compraCodigo) {
        this.compraCodigo = compraCodigo;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getCantidad() {
        return cantidad;
    }

    public void setCantidad(String cantidad) {
        this.cantidad = cantidad;
    }

    public String getSala() {
        return sala;
    }

    public void setSala(String sala) {
        this.sala = sala;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

}
